Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Can anyone provide some insight on how to install a later nginx than the 0.6.32 in macports? On Linux I use 0.7.55 so would like to have the same on the Mac.


Follow-up : I realised that I could also build it from source like I do for Linux so that works for me.

share|improve this question
    
What version of Mac OS X? 10.4, 10.5, Server? –  Chealion Jul 3 '09 at 5:31

2 Answers 2

up vote 1 down vote accepted

You may want to check that you are up-to-date with regards to the macports repository.

A quick search shows that the current version there is 0.7.59 as of four weeks ago:

http://www.macports.org/ports.php?by=name&substr=nginx

They jumped from 0.6.x to this version, so you won't be able to go to 0.7.55 without manually changing the Portfile and hoping that any patches apply cleanly, but it's pretty close to what you're looking for.

share|improve this answer
    
Thanks! I realised that I could also build it from source like I do for Linux –  Chris McCauley Jul 6 '09 at 11:48

Was researching installing nginx on Mac, and just ran across Nginx on Mac OS X Snow Leopard in 2 Minutes

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.